Bug 1282268 - [abrt] gnome-calendar: icalmemory_new_buffer(): gnome-calendar killed by SIGABRT
[abrt] gnome-calendar: icalmemory_new_buffer(): gnome-calendar killed by SIGABRT
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-calendar (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:10308c144782c63b9acac9dfe5d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 16:51 EST by lennart_reuther
Modified: 2016-07-07 05:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.37 KB, text/plain)
2015-11-15 16:51 EST, lennart_reuther
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-15 16:51 EST, lennart_reuther
no flags Details
File: core_backtrace (6.21 KB, text/plain)
2015-11-15 16:51 EST, lennart_reuther
no flags Details
File: dso_list (18.72 KB, text/plain)
2015-11-15 16:51 EST, lennart_reuther
no flags Details
File: environ (903 bytes, text/plain)
2015-11-15 16:51 EST, lennart_reuther
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-15 16:51 EST, lennart_reuther
no flags Details
File: maps (89.35 KB, text/plain)
2015-11-15 16:52 EST, lennart_reuther
no flags Details
File: mountinfo (3.18 KB, text/plain)
2015-11-15 16:52 EST, lennart_reuther
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-15 16:52 EST, lennart_reuther
no flags Details
File: open_fds (967 bytes, text/plain)
2015-11-15 16:52 EST, lennart_reuther
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-11-15 16:52 EST, lennart_reuther
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-11-15 16:52 EST, lennart_reuther
no flags Details

  None (edit)
Description lennart_reuther 2015-11-15 16:51:45 EST
Version-Release number of selected component:
gnome-calendar-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icalmemory_new_buffer
executable:     /usr/bin/gnome-calendar
global_pid:     7043
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 icalmemory_new_buffer at /usr/src/debug/libical-1.0.1/src/libical/icalmemory.c:266
 #8 icalcomponent_as_ical_string_r at /usr/src/debug/libical-1.0.1/src/libical/icalcomponent.c:331
 #9 component_data_equal at e-cal-data-model.c:258
 #10 cal_data_model_process_added_component at e-cal-data-model.c:886
 #11 cal_data_model_process_modified_or_added_objects at e-cal-data-model.c:1248
 #12 g_cclosure_marshal_VOID__POINTERv at gmarshal.c:2026
 #13 _g_closure_invoke_va at gclosure.c:864
 #16 cal_client_view_emit_objects_added_idle_cb at e-cal-client-view.c:217
 #20 g_main_context_iteration at gmain.c:3901
 #21 g_application_run at gapplication.c:2311
Comment 1 lennart_reuther 2015-11-15 16:51:50 EST
Created attachment 1094642 [details]
File: backtrace
Comment 2 lennart_reuther 2015-11-15 16:51:51 EST
Created attachment 1094643 [details]
File: cgroup
Comment 3 lennart_reuther 2015-11-15 16:51:53 EST
Created attachment 1094644 [details]
File: core_backtrace
Comment 4 lennart_reuther 2015-11-15 16:51:54 EST
Created attachment 1094645 [details]
File: dso_list
Comment 5 lennart_reuther 2015-11-15 16:51:56 EST
Created attachment 1094646 [details]
File: environ
Comment 6 lennart_reuther 2015-11-15 16:51:57 EST
Created attachment 1094647 [details]
File: limits
Comment 7 lennart_reuther 2015-11-15 16:52:00 EST
Created attachment 1094648 [details]
File: maps
Comment 8 lennart_reuther 2015-11-15 16:52:01 EST
Created attachment 1094649 [details]
File: mountinfo
Comment 9 lennart_reuther 2015-11-15 16:52:03 EST
Created attachment 1094650 [details]
File: namespaces
Comment 10 lennart_reuther 2015-11-15 16:52:04 EST
Created attachment 1094651 [details]
File: open_fds
Comment 11 lennart_reuther 2015-11-15 16:52:05 EST
Created attachment 1094652 [details]
File: proc_pid_status
Comment 12 lennart_reuther 2015-11-15 16:52:07 EST
Created attachment 1094653 [details]
File: var_log_messages
Comment 13 Matej 2016-01-25 10:39:16 EST
Another user experienced a similar problem:

everytime I close the app

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-calendar --gapplication-service
crash_function: icalmemory_new_buffer
executable:     /usr/bin/gnome-calendar
global_pid:     9385
kernel:         4.3.3-300.fc23.x86_64
package:        gnome-calendar-3.18.2.1-1.fc23
reason:         gnome-calendar killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Igor Gnatenko 2016-07-07 05:16:00 EDT
This is old bug, if you still can reproduce it - please reopen.

Note You need to log in before you can comment on or make changes to this bug.